Subject: [media-types] Please review media type rpki-publication in draft-ietf-sidr-publication

From: Rob Austein <[email-masked]>
Date: Sun, 18 Dec 2016 12:13:31 -0500

draft-ietf-sidr-publication-09 has just gone to IETF last call on
standards track, and our AD noticed that we had never requested formal
review of the rpki-publication media type.  Oops.  Please review.

Transport and encapsulation are essentially the same as in RFC 6492
(unsurprising, since part of the same family of protocols).  The
slightly odd encapsulation (HTTP transporting signed CMS wrapping XML)
stems from a design requirement for the ability to archive signed
transactions for signature audit long after any channel security
mechanism has been torn down.  The code which implements this protocol
also has to implement RFC 6492, so using the same basic mechanisms
simplifies code reuse.

https://datatracker.ietf.org/doc/draft-ietf-sidr-publication/

Thanks!

--Rob